Download it now!
Bug 33852 - FILEOPEN: Custom animation (Motionpath Left) isn't being imported correctly from .ppt
Summary: FILEOPEN: Custom animation (Motionpath Left) isn't being imported correctly f...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: All All
: medium normal
Assignee: David Tardon
URL:
Whiteboard: target:4.3.0 target:4.2.1 target:4.1.6
Keywords:
Depends on:
Blocks:
 
Reported: 2011-02-02 13:59 UTC by Jaxson Lee
Modified: 2014-02-06 14:54 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Powerpoint file containing an image with custom animation (Motion Path:Left) (126.00 KB, application/vnd.ms-powerpoint)
2011-02-02 13:59 UTC, Jaxson Lee
Details
Powerpoint file containing an image with custom animation (Motion Path:Right) (90.50 KB, application/vnd.ms-powerpoint)
2011-02-02 13:59 UTC, Jaxson Lee
Details
Screenshot of Impress with annotations showing the issue (81.70 KB, image/png)
2011-02-02 14:00 UTC, Jaxson Lee
Details
Text effects not imported from .PPT correctly (101.50 KB, application/vnd.ms-powerpoint)
2012-02-06 08:38 UTC, Scott Bennett
Details
Workaround applied as described in my post (74.50 KB, application/vnd.ms-powerpoint)
2012-02-06 08:38 UTC, Scott Bennett
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jaxson Lee 2011-02-02 13:59:08 UTC
Created attachment 42869 [details]
Powerpoint file containing an image with custom animation (Motion Path:Left)

On opening a file in Impress that was saved in Powerpoint in the 97-2003 .ppt format, the custom animation "Motion Path:Left" isn't being converted properly. I've attached PathL.ppt which provides an example of such an animation. The expectation is that after starting the slideshow (F5) and then clicking the left-mouse button, the image would move left towards the centre of the screen. It doesn't move at all. 

It would appear the path the image is supposed to take has been converted incorrectly, and is now shown in the top right of the slide, rather than the correct path from the image to it's destination. It also appears not to be editable.

Perhaps it may be of use to know that the closely related custom animation "Motion Path: Right" does appear to convert properly (PathR.ppt provides an example of this).

I've also attached an annotated image which might demonstrate the issue more clearly than I've been able to describe it.

Although I've only mentioned .PPT (97-2003) files, the same occurs in .PPTX files - that is that Motion Path: Right works as expected, but Motion Path: Left behaves as detailed above.
Comment 1 Jaxson Lee 2011-02-02 13:59:45 UTC
Created attachment 42870 [details]
Powerpoint file containing an image with custom animation (Motion Path:Right)
Comment 2 Jaxson Lee 2011-02-02 14:00:17 UTC
Created attachment 42871 [details]
Screenshot of Impress with annotations showing the issue
Comment 3 Björn Michaelsen 2011-12-23 11:50:18 UTC
[This is an automated message.]
This bug was filed before the changes to Bugzilla on 2011-10-16. Thus it
started right out as NEW without ever being explicitly confirmed. The bug is
changed to state NEEDINFO for this reason. To move this bug from NEEDINFO back
to NEW please check if the bug still persists with the 3.5.0 beta1 or beta2 prereleases.
Details on how to test the 3.5.0 beta1 can be found at:
http://wiki.documentfoundation.org/QA/BugHunting_Session_3.5.0.-1

more detail on this bulk operation: http://nabble.documentfoundation.org/RFC-Operation-Spamzilla-tp3607474p3607474.html
Comment 4 Scott Bennett 2012-02-06 08:37:22 UTC
I can confirm that the problem described in the attached file PathL occurs in 3.5.0 RC3.

I have had similar issues with importing .PPT files with custom animations in text boxes (entrances and exits).  I have using a workaround as follows:

1) Left-click on the "image placeholder" (for my issues I left-click the text box)
2) Ensure that the "custom animation" task panel is expanded
3) Select "Change"
4) Press "OK" on the Custom Animation pop-up

At this point the graphic will move as expected to the center of the screen when presenting and the mouse is clicked.

I have seen similar problems with text entrance/exit effects, and the same workaround seems to work.  For text boxes with multiple custom animations, I have to do this to each animation individually.  I have also found that it is important to actually make sure the text box is selected.  While you can see the animations on the slide, if you simply change them without selecting the text box, then the file presents properly in LibreOffice, but not always when you save it to a .PPT for presenting in PowerPoint.

I'm going to attempt to attach two files that illustrate this; one straight from PowerPoint (Custom Animation Text Effects.ppt) and the other a .PPT file with my workaround applied (Custom Animation Text Effects workaround.ppt).  You'll see in the first file that the first slide fades in after the first click.  When you click to advance to the next slide, the second slide does not dissolve in (selected "After Previous)) - you must click one more time.  However, when I applied my workaround and saved it, the animation works as expected (the second slide dissolves in when the first slide is clicked to advance).
Comment 5 Scott Bennett 2012-02-06 08:38:10 UTC
Created attachment 56680 [details]
Text effects not imported from .PPT correctly
Comment 6 Scott Bennett 2012-02-06 08:38:38 UTC
Created attachment 56681 [details]
Workaround applied as described in my post
Comment 7 Scott Bennett 2012-02-07 04:02:43 UTC
I have changed the status to "NEW" as requested by Björn since the issue does appear in 3.5.
Comment 8 bfoman (inactive) 2013-08-14 20:59:23 UTC
Confirmed with:
Version: 4.2.0.0.alpha0+
Build ID: 087a610fcd5c0c354a9ed6bfccd3451b667d62a3
TinderBox: Win-x86@6-debug, Branch:master, Time: 2013-08-04_21:41:24
Windows 8.1 Enterprise Preview 64 bit

"Motion Path:Left" still doesn't work. All good in Powerpoint 2013.
Comment 9 Commit Notification 2014-02-06 14:18:42 UTC
David Tardon committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=eba6a6789c8832f961ac7054588ed84d04b65480

fdo#33852 do not remove too much from the path



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2014-02-06 14:18:54 UTC
David Tardon committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=eba6a6789c8832f961ac7054588ed84d04b65480

fdo#33852 do not remove too much from the path



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2014-02-06 14:53:15 UTC
David Tardon committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=de82da1b67ce3a293b3ad45030d591cc3b3e12b4&h=libreoffice-4-2

fdo#33852 do not remove too much from the path


It will be available in LibreOffice 4.2.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2014-02-06 14:53:24 UTC
David Tardon committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=de82da1b67ce3a293b3ad45030d591cc3b3e12b4&h=libreoffice-4-2

fdo#33852 do not remove too much from the path


It will be available in LibreOffice 4.2.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2014-02-06 14:54:32 UTC
David Tardon committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ad9fb2cbbb494a1b97ea493208b5264c3a2d98a5&h=libreoffice-4-1

fdo#33852 do not remove too much from the path


It will be available in LibreOffice 4.1.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2014-02-06 14:54:43 UTC
David Tardon committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ad9fb2cbbb494a1b97ea493208b5264c3a2d98a5&h=libreoffice-4-1

fdo#33852 do not remove too much from the path


It will be available in LibreOffice 4.1.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.